<?php

$forum_loader->add_js($base_url. '/style/'.$forum_user['style'].'/responsive-nav.min.js', array('weight' => 55, 'async' => false, 'group' => FORUM_JS_GROUP_SYSTEM));

$forum_loader->add_css($base_url.'/style/'.$forum_user['style'].'/css/main.css', array('type' => 'url', 'group' => FORUM_CSS_GROUP_SYSTEM, 'media' => 'screen'));
$forum_loader->add_css($base_url.'/style/'.$forum_user['style'].'/css/mobile.css', array('type' => 'url', 'group' => FORUM_CSS_GROUP_SYSTEM, 'media' => 'screen'));

$forum_loader->add_css($base_url.'/style/'.$forum_user['style'].'/fontello/css/fontello.css', array('type' => 'url', 'media' => 'screen'));
$forum_loader->add_css($base_url.'/style/'.$forum_user['style'].'/fontawesome/css/font-awesome.min.css', array('type' => 'url', 'media' => 'screen'));

if(isset($tpl_main))
{
	switch ($forum_user['avatar'])
	{
		case FORUM_AVATAR_GIF:
			$avatar_filename = $forum_user['id'].'.gif';
			break;
		case FORUM_AVATAR_JPG:
			$avatar_filename = $forum_user['id'].'.jpg';
			break;
		case FORUM_AVATAR_PNG:
			$avatar_filename = $forum_user['id'].'.png';
			break;
		case FORUM_AVATAR_NONE:
			$noavatar = TRUE;
			break;
		default:
			$noavatar = TRUE;
			break;
	}

	if(!isset($noavatar))
	{
		$pan_avatar = '<p id="topavatar"><img src="'.($base_url).'/'.($forum_config['o_avatars_dir']).'/'.($avatar_filename).'"/></p>';

		$tpl_main = str_replace('<!-- urban_avatar -->', $pan_avatar, $tpl_main);
	}
}

if (FORUM_PAGE == 'index')
{
	$urban_visit = '<div id="brd-visit" class="gen-content">'."\n\t".'<!-- forum_visit -->'."\n".'</div>';
	$tpl_main = str_replace('<!-- urban_visit -->', $urban_visit, $tpl_main);
}

if (FORUM_PAGE == 'viewtopic' && $forum_user['is_guest'] != true)
{
	$urban_quick_post = '<div class="main-head"><h2 class="hn"><span class="item-info">'.$lang_topic['Quick post'].'</span></div>';
	$tpl_main = str_replace('<!-- urban_quick_post -->', $urban_quick_post, $tpl_main);
}

if (!in_array(FORUM_PAGE, array('searchposts', 'searchtopics', 'searchforums', 'search', 'help')))
{
	include FORUM_ROOT.'style/'.$forum_user['style'].'/lang/'.$forum_user['language'].'.php';
	
	$urban_search_form = '<div id="urban_search_form">'."\n\t".'<form method="get" accept-charset="utf-8" action="'.forum_link($forum_url['search']).'">'."\n\t\t".'<input type="hidden" name="action" value="search" />'."\n\t\t\t".'<input type="text" name="keywords" placeholder="'.$style_lang['search_for'].'" required/>'."\n\t\t\t".'<input class="submit" type="submit" value="" title="'.$style_lang['search_go'].'">'."\n".'</form>'."\n".'</div>';
	
	$tpl_main = str_replace('<!-- urban_search_form -->', $urban_search_form, $tpl_main);
}

if (isset($tpl_main))
{
	$tpl_main = str_replace('<!-- forum_board_title -->', forum_htmlencode($forum_config['o_board_title']), $tpl_main);
	$tpl_main = str_replace('<!-- forum_lang_menu_admin -->', $lang_common['Menu admin'], $tpl_main);
	$tpl_main = str_replace('<!-- forum_lang_menu_profile -->', $lang_common['Menu profile'], $tpl_main);
}

